<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright  D Data Development, Thomas Dartsch
 * @author    D Data Development - Daniel Seifert <ds@shopmodule.com>
 * @link      http://www.oxidmodule.com
 */

/**
 * Class d3_oxshop_printorder
 */
class d3_oxshop_printorder extends d3_oxshop_printorder_parent
{

    /**
     * Active theme name
     * @deprecated It will be moved to module-connector
     *
     * @var null
     */
    protected $_sD3BaseTheme = null;

    /**
     * Returns active theme / parent theme name
     * @deprecated It will be moved to module-connector
     *
     * @param  bool $loadParentThemeID
     * @return string
     */
    public function d3GetBaseThemeId($loadParentThemeID = true)
    {
        if ($this->_sD3BaseTheme === null) {
            /** @var oxTheme $oTheme */
            $oTheme = oxNew('oxTheme');
            $oTheme->load($oTheme->getActiveThemeId());

            // wenn kein ParentTheme, Return === NULL
            if (false == $loadParentThemeID || $oTheme->getParent() == null) {
                $this->_sD3BaseTheme = $oTheme->getActiveThemeId();
            } else {
                $oParentTheme        = $oTheme->getParent();
                $this->_sD3BaseTheme = $oParentTheme->getId();
            }
        }

        return $this->_sD3BaseTheme;
    }


    /**
     * @return bool
     */
    public function d3isMobileTheme()
    {
        if (d3_cfg_mod::get('d3printorder')->isActive() && class_exists('oeThemeSwitcherThemeManager')) {
            /** @var oeThemeSwitcherThemeManager $oThemeManager */
            $oThemeManager = oxNew('oeThemeSwitcherThemeManager');

            return $oThemeManager->isMobileThemeRequested();
        }

        return false;
    }

    /**
     * @return bool
     */
    public function d3showInMobile()
    {
        return d3printorder_application_models_handler::getInstance()->getIsActiveForMobile();
    }


}